L'équipe Vigil@nce veille les vulnérabilités publiques qui affectent votre parc informatique, puis propose des correctifs sécurité, une base de données de vigilance et des outils pour y remédier.

Vulnérabilité de Noyau Linux : déréférencement de pointeur NULL via cgroup_sk_alloc

Synthèse de la vulnérabilité 

Un attaquant peut forcer le déréférencement d'un pointeur NULL via cgroup_sk_alloc() du noyau Linux, afin de mener un déni de service.
Produits impactés : Linux, openSUSE Leap, SUSE Linux Enterprise Desktop, SLES, Ubuntu.
Gravité de ce bulletin : 1/4.
Date de création : 20/08/2020.
Références de cette menace : CERTFR-2020-AVI-541, CERTFR-2020-AVI-547, CERTFR-2020-AVI-548, CERTFR-2020-AVI-553, CERTFR-2020-AVI-568, CERTFR-2020-AVI-574, CERTFR-2020-AVI-585, CVE-2020-14356, openSUSE-SU-2020:1236-1, openSUSE-SU-2020:1325-1, RHBUG-1868453, SUSE-SU-2020:2485-1, SUSE-SU-2020:2486-1, SUSE-SU-2020:2540-1, SUSE-SU-2020:2541-1, SUSE-SU-2020:2574-1, SUSE-SU-2020:2575-1, SUSE-SU-2020:2605-1, SUSE-SU-2020:2610-1, SUSE-SU-2020:2623-1, SUSE-SU-2020:2631-1, USN-4483-1, USN-4484-1, USN-4526-1, VIGILANCE-VUL-33123.

Description de la vulnérabilité 

Un attaquant peut forcer le déréférencement d'un pointeur NULL via cgroup_sk_alloc() du noyau Linux, afin de mener un déni de service.
Bulletin complet, filtrage par logiciel, emails, correctifs, ... (Demandez votre essai gratuit)

Cette alerte cyber-sécurité concerne les logiciels ou systèmes comme Linux, openSUSE Leap, SUSE Linux Enterprise Desktop, SLES, Ubuntu.

Notre équipe Vigil@nce a déterminé que la gravité de cette menace cybersécurité est faible.

Le niveau de confiance est de type confirmé par l'éditeur, avec une provenance de shell utilisateur.

Un attaquant avec un niveau de compétence expert peut exploiter cette alerte de menace.

Solutions pour cette menace 

Noyau Linux : version 5.7.10.
La version 5.7.10 est corrigée :
  https://cdn.kernel.org/pub/linux/kernel/v5.x/

Noyau Linux : version 5.4.53.
La version 5.4.53 est corrigée :
  https://cdn.kernel.org/pub/linux/kernel/v5.x/

Noyau Linux : patch pour cgroup_sk_alloc.
Un patch est indiqué dans les sources d'information.

openSUSE Leap 15.1 : nouveaux paquetages kernel (03/09/2020).
De nouveaux paquetages sont disponibles :
  openSUSE Leap 15.1 : kernel debug-4.12.14-lp151.28.63.1

openSUSE Leap 15.2 : nouveaux paquetages kernel.
De nouveaux paquetages sont disponibles :
  openSUSE Leap 15.2 : kernel 5.3.18-lp152.36.1

SUSE LE 12 SP4 : nouveaux paquetages kernel.
De nouveaux paquetages sont disponibles :
  SUSE LE 12 SP4 : kernel 4.12.14-95.60.1

SUSE LE 12 SP5 : nouveaux paquetages kernel (08/09/2020).
De nouveaux paquetages sont disponibles :
  SUSE LE 12 SP5 : kernel 4.12.14-122.37.1

SUSE LE 12 SP5 : nouveaux paquetages kernel-azure (07/09/2020).
De nouveaux paquetages sont disponibles :
  SUSE LE 12 SP5 : kernel-azure 4.12.14-16.25.1

SUSE LE 12 SP5 : nouveaux paquetages kernel-rt.
De nouveaux paquetages sont disponibles :
  SUSE LE 12 SP5 : kernel-rt 4.12.14-10.16.1

SUSE LE 15 RTM : nouveaux paquetages kernel.
De nouveaux paquetages sont disponibles :
  SUSE LE 15 RTM : kernel 4.12.14-150.58.1

SUSE LE 15 SP1 : nouveaux paquetages kernel.
De nouveaux paquetages sont disponibles :
  SUSE LE 15 SP1 : kernel 4.12.14-197.56.1

SUSE LE 15 SP1 : nouveaux paquetages kernel-azure.
De nouveaux paquetages sont disponibles :
  SUSE LE 15 SP1 : kernel-azure 4.12.14-8.41.1

SUSE LE 15 SP1 : nouveaux paquetages kernel-rt.
De nouveaux paquetages sont disponibles :
  SUSE LE 15 SP1 : kernel-rt 4.12.14-14.31.1

SUSE LE 15 SP2 : nouveaux paquetages kernel.
De nouveaux paquetages sont disponibles :
  SUSE LE 15 SP2 : kernel 5.3.18-24.12.1

Ubuntu 18.04 : nouveaux paquetages linux-image-5.3.0.
De nouveaux paquetages sont disponibles :
  Ubuntu 18.04 LTS : linux-image-aws 5.3.0.1034.33

Ubuntu : nouveaux paquetages linux-image-4.15.0 (22/09/2020).
De nouveaux paquetages sont disponibles :
  Ubuntu 18.04 LTS : linux-image-4.15.0-118-generic 4.15.0-118.119
  Ubuntu 16.04 LTS : linux-image-generic-hwe-16.04 4.15.0.118.119
  Ubuntu 14.04 ESM : linux-image-4.15.0-1096-azure 4.15.0-1096.106~14.04.1

Ubuntu : nouveaux paquetages linux-image-5.4.0.
De nouveaux paquetages sont disponibles :
  Ubuntu 18.04 LTS : linux-image-gcp 5.4.0.1022.9
  Ubuntu 20.04 LTS : linux-image-generic 5.4.0.45.49
Bulletin complet, filtrage par logiciel, emails, correctifs, ... (Demandez votre essai gratuit)

Service de veille sur les vulnérabilités informatiques 

Vigil@nce fournit des avis de vulnérabilités logicielles. La cellule de veille technologique suit les menaces sécurité qui ciblent le parc informatique.